<template>
  <div class="list">
    <Post v-for="post in posts" :key="post.id" :post="post" class="post" />
  </div>
</template>

<script>
import Post from "@/components/blog/Post";

export default {
  components: {
    Post
  },
  props: {
    posts: {
      type: Array,
      required: true
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables";

.list
  display grid 
  grid-gap  $sm
  direction rtl
  grid-template-columns repeat(4, minmax(27.5rem, 35rem))
  @media only screen and (max-width 1300px)
    grid-template-columns repeat(3, minmax(27.5rem, 35rem))
  @media only screen and (max-width 1000px)
    grid-template-columns repeat(2, minmax(27.5rem, 35rem))
  @media only screen and (max-width 680px)
    grid-template-columns repeat(1, minmax(25rem, 35rem))
    grid-gap $md
</style>